﻿@using dbChange.Models.LIB;
@{
    ViewData["Title"] = "BÁO CÁO TIÊM CHỦNG NGÀY";
    Layout = "~/Views/Shared/_Layout.cshtml";
    var lsDonVi = ViewData["DonVi"] as List<DM_BoPhanChiTiet>;
}

<div class="row">
    <div class="col-12">
        <div class="iq-card">
            <div class="iq-card-header d-flex justify-content-between">
                <div class="iq-header-title" style="width:100%">
                    <h4 class="card-title text-uppercase" style="text-align:center;color:red;font-weight:bold">BÁO CÁO TIÊM CHỦNG NGÀY @DateTime.UtcNow.ToString("dd/MM/yyyy")</h4>
                </div>
            </div>
        </div>
    </div>
</div>

<div id="box_thongke" class="row" style="background:white;">
    <div class="col-md-3">
        <div class="donvi btnDaVao">
            <div class="thongtin mb-2 p-3">
                <span>ĐÃ VÀO</span>
            </div>
            <div class="ketqua">
                <div class="duongtinh text-danger">
                    <p>
                        <large>SL vào</large>
                        <br>
                        <b id="DaVao">0</b>
                    </p>
                </div>
                <div class="amtinh text-primary">
                    <p>
                        <large>SL đăng ký</large>
                        <br>
                        <b id="DaDangKy">0</b>
                    </p>
                </div>
            </div>
        </div>
    </div>
    <div class="col-md-3">
        <div class="donvi btnDaTiem">
            <div class="thongtin mb-2 p-3">
                <span>ĐÃ TIÊM</span>
            </div>
            <div class="ketqua">
                <div class="duongtinh text-danger">
                    <p>
                        <large>SL đã tiêm</large>
                        <br>
                        <b id="DaTiem">0</b>
                    </p>
                </div>
                <div class="amtinh text-primary">
                    <p>
                        <large>SL đã vào</large>
                        <br>
                        <b id="DaVao1">0</b>
                    </p>
                </div>
            </div>
        </div>
    </div>
    <div class="col-md-3">
        <div class="donvi btnChuaTiem">
            <div class="thongtin mb-2 p-3">
                <span>CHƯA TIÊM</span>
            </div>
            <div class="ketqua">
                <div class="duongtinh text-danger">
                    <p>
                        <large>SL chưa tiêm</large>
                        <br>
                        <b id="ChuaTiem">0</b>
                    </p>
                </div>
                <div class="amtinh text-primary">
                    <p>
                        <large>Số lượng vào</large>
                        <br>
                        <b id="DaVao2">0</b>
                    </p>
                </div>
            </div>
        </div>
    </div>

    <div class="col-md-3">
        <div class="donvi btnKhongTiemDuoc">
            <div class="thongtin mb-2 p-3">
                <span>KHÔNG TIÊM ĐƯỢC</span>
            </div>
            <div class="ketqua">
                <div class="duongtinh text-danger">
                    <p>
                        <large>SL không tiêm được</large>
                        <br>
                        <b id="KhongTiemDuoc">0</b>
                    </p>
                </div>
                <div class="amtinh text-primary">
                    <p>
                        <large>SL vào</large>
                        <br>
                        <b id="DaVao3">0</b>
                    </p>
                </div>
            </div>
        </div>
    </div>
</div>

<div id="box_thongke" class="row" style="background:white;padding-top:50px;">
    <form id="box_form_employee" class="form_employee_validation" novalidate style="width:100%">
        <div class="form-row" style="padding:15px;">
            <div class="col-md-3 mb-3">
                <select class="form-control form-control-sm" name="DonVi" id="DonVi">
                    <option value="-1">Tất cả</option>
                    @{
                        foreach (var item in lsDonVi)
                        {
                            <option value="@item.Id">@item.TenDonVi</option>
                        }
                    }
                </select>
            </div>
            <div class="col-md-2 mb-2">
                <button type="button" class="btn btn-secondary form-control-sm" id="btnXem" style="line-height:16px;">Xem</button>
            </div>
            <div class="col-md-7 mb-7">
                
            </div>
        </div>
    </form>
</div>
<div id="box_thongke" class="row" style="background:white;">
    <div id="gridContainer" style="width: 100%;"></div>
</div>

